package com.cool.store.dao;

import com.cool.store.entity.AssessmentTemplateDO;
import com.cool.store.mapper.AssessmentTemplateMapper;
import com.google.common.collect.Lists;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2024/4/25 11:20
 * @Version 1.0
 */
@Repository
public class AssessmentTemplateDAO {
    @Resource
    private AssessmentTemplateMapper assessmentTemplateMapper;

    public List<AssessmentTemplateDO> listByType(@Param("type") Integer type){
        if (type == null){
            return Lists.newArrayList();
        }
        return assessmentTemplateMapper.listByType(type);
    }
}
